Name:           perl-Devel-GlobalDestruction
Version:        0.14
Release:        8
License:        GPL+ or Artistic
Summary:        Expose PL_dirty, the flag that marks global destruction
URL:            https://metacpan.org/release/Devel-GlobalDestruction
Source:         https://cpan.metacpan.org/authors/id/H/HA/HAARG/Devel-GlobalDestruction-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(base) perl(Carp)
BuildRequires:  perl(DynaLoader) perl(Exporter) perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions) perl(File::Temp) perl(Text::ParseWords) perl(B)
BuildRequires:  perl(strict) perl(Sub::Exporter::Progressive) >= 0.001011 perl(warnings)
BuildRequires:  perl(Config) perl(FindBin) perl(IPC::Open2) perl(POSIX) perl(threads) perl(threads::shared)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl's global destruction is a little tricky to deal with with respect to
finalizers because it's not ordered and objects can sometimes disappear.

%package_help

%prep
%autosetup -n Devel-GlobalDestruction-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README t/
%{perl_vendorlib}/Devel/

%files help
%{_mandir}/man3/Devel::GlobalDestruction.3*

%changelog
* Sun Jan 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.14-8
- Package init

